librelist archives

« back to archive

resque and hoptoad

resque and hoptoad

From:
Karl Baum
Date:
2010-05-12 @ 01:57
Is anyone successfully using hoptoad with resque 1.8.X?  If so, what  
does your configuration look like?  I have something like this, but i  
have yet to receive a notification.

Resque::Failure::Hoptoad.configure do |config|
   config.api_key = HoptoadNotifier.configuration.api_key
end


thx.

-karl

Re: [resque] resque and hoptoad

From:
Scott Tamosunas
Date:
2010-05-13 @ 03:07
We have not upgraded to 1.8 yet but this what our config looks like:

  Resque::Failure::Hoptoad.configure do |config|
    config.api_key = 'mykey'
    config.secure = true
  end

Scott

On Tue, May 11, 2010 at 6:57 PM, Karl Baum <karl.baum@gmail.com> wrote:

> Is anyone successfully using hoptoad with resque 1.8.X?  If so, what
> does your configuration look like?  I have something like this, but i
> have yet to receive a notification.
>
> Resque::Failure::Hoptoad.configure do |config|
>   config.api_key = HoptoadNotifier.configuration.api_key
> end
>
>
> thx.
>
> -karl
>

Re: [resque] resque and hoptoad

From:
Karl Baum
Date:
2010-05-13 @ 11:29
I had that too, but i think the secure option was no longer there in  
1.8.

On May 12, 2010, at 11:07 PM, Scott Tamosunas wrote:

> We have not upgraded to 1.8 yet but this what our config looks like:
>
>   Resque::Failure::Hoptoad.configure do |config|
>     config.api_key = 'mykey'
>     config.secure = true
>   end
>
> Scott
>
> On Tue, May 11, 2010 at 6:57 PM, Karl Baum <karl.baum@gmail.com>  
> wrote:
> Is anyone successfully using hoptoad with resque 1.8.X?  If so, what
> does your configuration look like?  I have something like this, but i
> have yet to receive a notification.
>
> Resque::Failure::Hoptoad.configure do |config|
>   config.api_key = HoptoadNotifier.configuration.api_key
> end
>
>
> thx.
>
> -karl
>

Re: [resque] resque and hoptoad

From:
Chris Wanstrath
Date:
2010-05-13 @ 18:37
On Tue, May 11, 2010 at 6:57 PM, Karl Baum <karl.baum@gmail.com> wrote:

> Is anyone successfully using hoptoad with resque 1.8.X?  If so, what
> does your configuration look like?  I have something like this, but i
> have yet to receive a notification.

What version are you on currently? I don't see any Hoptoad changes
between 1.7.x and 1.8:

http://github.com/defunkt/resque/compare/v1.7.0...v1.8.0

Re: [resque] resque and hoptoad

From:
Karl Baum
Date:
2010-05-13 @ 18:46
We're on 1.8.0.  Must be something on my end then.  I'll have to try  
again when i get a moment.


On May 13, 2010, at 2:37 PM, Chris Wanstrath wrote:

> On Tue, May 11, 2010 at 6:57 PM, Karl Baum <karl.baum@gmail.com>  
> wrote:
>
>> Is anyone successfully using hoptoad with resque 1.8.X?  If so, what
>> does your configuration look like?  I have something like this, but i
>> have yet to receive a notification.
>
> What version are you on currently? I don't see any Hoptoad changes
> between 1.7.x and 1.8:
>
> http://github.com/defunkt/resque/compare/v1.7.0...v1.8.0

Re: [resque] resque and hoptoad

From:
Chris Wanstrath
Date:
2010-05-13 @ 19:15
Here are the recent changes to the Hoptoad backend for what it's worth:

http://github.com/defunkt/resque/commits/master/lib/resque/failure/hoptoad.rb

On Thu, May 13, 2010 at 11:46 AM, Karl Baum <karl.baum@gmail.com> wrote:
> We're on 1.8.0.  Must be something on my end then.  I'll have to try
> again when i get a moment.
>
>
> On May 13, 2010, at 2:37 PM, Chris Wanstrath wrote:
>
>> On Tue, May 11, 2010 at 6:57 PM, Karl Baum <karl.baum@gmail.com>
>> wrote:
>>
>>> Is anyone successfully using hoptoad with resque 1.8.X?  If so, what
>>> does your configuration look like?  I have something like this, but i
>>> have yet to receive a notification.
>>
>> What version are you on currently? I don't see any Hoptoad changes
>> between 1.7.x and 1.8:
>>
>> http://github.com/defunkt/resque/compare/v1.7.0...v1.8.0
>
>



-- 
Chris Wanstrath
http://github.com/defunkt